This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 624764 - (CVE-2010-2234) CVE-2010-2234 couchdb: CSRF vulnerability in versions prior to 0.11.2/1.0.1
CVE-2010-2234 couchdb: CSRF vulnerability in versions prior to 0.11.2/1.0.1
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100811,reported=20100710,sou...
: Security
Depends On: 624765
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 13:04 EDT by Vincent Danen
Modified: 2016-03-04 05:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-17 13:04:00 EDT
Apache CouchDB prior to 0.11.2 and 1.0.1 are vulnerable to cross site request forgery (CSRF) attacks.  A malicious web site can POST arbitrary JavaScript code to wellknown CouchDB installation URLs and make the browser execute the injected JavaScript in the security context of CouchDB's admin interface Futon.

This issue has been assigned the name CVE-2010-2234.

References:

http://seclists.org/fulldisclosure/2010/Aug/199
Comment 1 Vincent Danen 2010-08-17 13:05:27 EDT
Created couchdb tracking bugs for this issue

Affects: fedora-all [bug 624765]

Note You need to log in before you can comment on or make changes to this bug.